h1,
h2,
p,
a,
ul,
li,
sub {
    padding: none;
    font-family: lovely;
    text-shadow: 2px 1px 1px white !important;
}

li,
p {
    vertical-align: bottom !important;

    color: var(--big_text);
    line-height: 1;
}

sub {
    font-family: lovely;
    font-style: italic;
    font-size: 10px;
}

.subText {
    margin-top: -10px;
    text-align: right;
}

ul {
    margin-top: -10px;
}

li {
    /* padding:none; */
    font-size: 12px;
}

i {
    color: var(--out_border);
    font-size: 10px;
}

h3 {
    color:var(--out_border);
}


body {
    width: 100%;
    height: 100%;
    background-color: #eee;
    background:
        url('/Shrines/img/decor/triluneAuthority.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    overflow: hidden auto;
    margin: 0;
    font-family: 'Comfortaa', monospace;
    padding: 0;
}

#bar {
    display: none;
    width: 100%;
    box-shadow: 0px 0px 10px #acacac;
    background: white;
    border-bottom: 1px solid #2f1e6e;
    position: fixed;
    top: 0;
    padding: 0;
    left: 0;
    margin: 0;
    width: 100%;
    z-index: 100;
    height: 20px;
    padding-left: 3px;
    line-height: 20px;
    font-size: 13px;
}

#container {
    position: relative;
    width: 60vw;
    /* overflow: hidden; */
    margin: 0 auto;
    border-radius: 5px;
    padding: 50px;
    padding-top: 30px;
    padding-bottom: -300px;

    background-clip:border-box;
    border: transparent;
    border-width: 40px;
    border-image-slice:
        184 140 165 176 fill;
    border-image-width: 100px;
    border-image-outset: 0px;
    border-image-repeat: round;
    border-image-source:
        url("/Shrines/img/decor/blanket.png");
    border-style: solid;

    /* overflow:scroll; */

}

.contentContainer {
    text-align: center;

    gap: 0 10px;
    border: 0;
    padding: 0;
}

.contentContainer div {
    text-align: 0;
    border: 0;
    width:100%;
}

#innerContainer {
    /* background:green; */
    display: grid;
    grid-template-columns: 0.3fr 1.4fr 0.3fr;
    grid-template-rows: .95fr .05fr;
    gap: 0px 10px;
    grid-template-areas:
        "side blog extra"
        "footer footer footer";
    height: 90%;

    align-items: top center;
    /* overflow: hidden; */
    border-radius: 20px;
    padding: 10px;
}


#blog {
    grid-area: blog;
    float: center;
    width: 100%;
    /* background:green; */

    margin-left: 0px;
    /* margin-right: -40px; */
    /* overflow: hidden scroll; */
    filter:
        drop-shadow(2px 2px 5px var(--out_border)) drop-shadow(-2px -2px 5px var(--out_border));

}

#extra {
    grid-area: extra;
}

.b {
    width: 85%;
    margin: 0 -5px 30px 20px;
    padding: 30px 50px 0px 40px;

    text-align: center;

    border-image-slice:
        97 82 73 79 fill;
    border-image-width: 50px;
    border-image-outset: -2px;
    border-image-repeat: round;
    border-image-source: url("/Shrines/img/decor/whiteLaceBorder.png");
    border-style: solid;
    /* https://www.tumblr.com/pixelsjar/805564827993030656/i-have-edited-more-rentry-borderslops-f2u-but?source=share */
}



.b img {
    max-width: 100%;
    /* border-radius: 0;
    border: 2px dashed #e9e1ff; */

    border-width: 5px;
    border-image-slice: 60 fill;
    border-image-width: 5px;
    border-image-repeat: round;
    border-image-source:
        url("/images/bg-decor/laceOffPurple.png");
    border-style: solid;
}


.b h1 {
    line-height: 32px;
    margin: 0;
    padding: 0;
}

.b h2 {
    width: 100%;
    line-height: 32px;
    text-align: center;

    color: var(--big_text);
    border-radius: 5px;
    text-shadow: none;

    text-decoration-line: underline;
    text-decoration-style: wavy;
    text-decoration-color: var(--default_text);


    margin: 0;
    margin-top: -5px;
    padding: 0;
    /* background:rgba(255, 255, 255, 0.478); */
}

em,
i,
s {
    color: #696191;
}

strong,
b {
    color: #4a3c91;
}

u {
    text-decoration: none;
    border-bottom: 1px solid #4a3c91;
}

#tab-2 .b .contentContainer {
    grid-template-columns: .3fr .7fr;
    gap: 0 30px;
}

#tab-2 .b .contentContainer img {
    width: 100%;
    margin-top: 50px;
}

.text {
    color: #000;
    text-align: left;
    margin: 0 auto;
    padding: 6px;
    line-height: 15px;
    font-size: 11pt;
}

.timg {
    border: 1px solid #2f1e6e;
    margin: 5px auto;
    border-radius: 5px;
}

blockquote {
    color: #000;
    border: 1px solid #2f1e6e;
    border-radius: 5px;
    padding: 6px;
    /* background: url(https://cepheus.neocities.org/vessel/wind0/_s_a13b13c1EEd1EEe0f0g64hFFFFFFF5E9F8i44j0k43l1F4m1F4.png); */
    quotes: "\201C" "\201D" "\2018" "\2019";
    text-shadow: 1px 1px 1px #aaa0de;
    webkit-box-shadow: inset -1px -1px 2px 0px #eddbda, inset 2px 2px 3px -1px #f5ebeb, 0px 2px 5px 0px #aaa0de;
    -moz-box-shadow: inset -1px -1px 2px 0px #eddbda, inset 2px 2px 3px -1px #f5ebeb, 0px 2px 5px 0px #aaa0de;
    box-shadow: inset -1px -1px 2px 0px #eddbda, inset 2px 2px 3px -1px #f5ebeb, 0px 2px 5px 0px #aaa0de;
}

blockquote:before {
    content: open-quote;
    font-size: 40px;
    line-height: 0px;
    margin-right: 4px;
    vertical-align: -0.4em;
}

.date {
    width: 100%;
    height: 30px;
    border-top: 1px solid #dad3ff;
    line-height: 30px;
    /* background-image: url('https://cepheus.neocities.org/vessel/wind0/_s_a13b13c1EEd1EEe0f0g64hFFFFFFF5E9F8i44j0k43l1F4m1F4.png'); */
    text-align: right;
    font-size: 14px;
    margin: 0;
    border-radius: 0px 0px 5px 5px;
    text-transform: uppercase;
    font-weight: bold;
    color: var(--out_border);
    padding: 0;
    text-shadow: 1px 1px 1px #aaa0de;
}

.d {
    padding-right: 6px;
}

.o {
    line-height: 30px;
    font-size: 8pt;
    /* background-image: url('https://cepheus.neocities.org/vessel/wind0/_s_a13b13c1EEd1EEe0f0g64hFFFFFFF5E9F8i44j0k43l1F4m1F4.png'); */
    text-align: center;
    font-size: 11px;
    margin: 0;
    border-radius: 5px 5px 5px 5px;
    text-transform: uppercase;
    font-weight: bold;
    color: #000;
    padding: 0;
    text-shadow: 1px 1px 1px #aaa0de;
}

.side img {
    border: 1px solid #2f1e6e;
    border-radius: 5px;
    margin: 0 auto;
    width: 10px !important;
    height: 100px;
    background: url("/images/backgrounds/falls.webp");
    background-size: cover;
    margin-top: 10px;
    margin-bottom: 5px;
}

#side {
    /* float: right; */
    margin-top: 0px;
    /* background:blue; */
    grid-area: side;
    /* width:100px; */
}

.sidebox {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
    align-items: center;
    align-content: center;
    width: 105%;
    position: sticky;


    border-radius: 5px;

    filter:
        drop-shadow(2px 2px 5px var(--out_border)) drop-shadow(-2px -2px 5px var(--out_border));

    border-image-slice:
        97 82 73 79 fill;
    border-image-width: 15px;
    border-image-outset: -2px;
    border-image-repeat: round;
    border-image-source: url("/Shrines/img/decor/whiteLaceBorder.png");
    border-style: solid;
}

.sidebox.me {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}



.sidebox h1 {
    font-weight: normal;
    color: #897ebf;
    text-shadow: 1px 1px 1px #ddd;
    text-align: center;
    font-size: 20px;
    line-height: 30px;
    margin: 0;
    padding: 0;
}

.t {

    margin: 0 auto;
    width: 130px;
    padding: 6px;
    margin-top: 10px;
    margin-bottom: 20px;
    text-shadow: 1px 1px 1px #aaa0de;
    font-size: 10px;
}

.f {
    width: 100%;
    height: 30px;
    line-height: 30px;
    background: #e5e1f0;
    border-top: 2px solid #e81c44;
    text-align: right;
    font-size: 11px;
    margin: 0;
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: bold;
    color: #e81c44;
    padding: 0;
}

.ftext {
    padding-right: 7px;
}


.ctrl {
    width: 100%;
    height: 30px;
    line-height: 20px;
    background: #e5e1f0;
    border-radius: 5px 5px 0px 0px;
    border-bottom: 1px solid #2f1e6e;
    webkit-box-shadow: inset -1px -1px 2.5px 0px #c49d9b;
    -moz-box-shadow: inset -1px -1px 2.5px 0px #c49d9b;
    box-shadow: inset -1px -1px 2.5px 0px #c49d9b;
}

.h {
    text-align: left;
    font-size: 11px;
    float: right;
    margin: 0;
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: bold;
    color: #000;
    margin-bottom: -26px;
    text-decoration: none;
    margin-top: 6px;
    margin-left: 7px;
    float: left;
    padding: 0;
    text-shadow: 1px 1px 1px #aaa0de;
}

.h a,
.h a:hover {
    color: #000;
    letter-spacing: 0;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

img {
    opacity: 0.7;
    -moz-transition: 500ms;
    -webkit-transition: 500ms;
    transition: 500ms;
}

img:hover {
    opacity: 1;
    -moz-transition: 500ms;
    -webkit-transition: 500ms;
    transition: 500ms;
}

* {
    ::-webkit-scrollbar {
        background-color: #ffffff00;
        height: 8px;
        width: 12px;
        border: 4px solid white;
        border: none;
    }

    ::-webkit-scrollbar-track {
        border-radius: 8px;
        background: transparent;

    }

    ::-webkit-scrollbar-thumb {

        border-radius: 8px;
        background-color: #AFB7F7;
        height: auto;
        /* border: 4px solid #ff0000;
    border-top: 4px solid white;
    border-bottom: 4px solid white; */
    }


    scrollbar-width: 10px;
    scrollbar-color: var(--out_border) transparent;
}


.footer {
    grid-area: footer;
    width: 100%;
    height: 30px;
    line-height: 30px;
    /* background: #e5e1f0; */
    /* border-radius: 0px 0px 5px 5px; */

    text-align: center;
    font-size: 11px;
    margin: 0;
    text-transform: uppercase;
    font-weight: bold;
    color: var(--big_text);
    padding: 0;
    float: right;
    text-shadow: 1px 1px 1px #aaa0de;
}

/* nav */
* {
    .nav {
        text-align: center;
        padding: 10px;

    }

    .nav a {
        display: block;
        text-decoration: none;
        height: fit-content;
        line-height: 27px;

        font-size: var(--default_text);
        text-shadow: 1px 1px 2px #aaa0de;

        -moz-transition: 500ms;
        -webkit-transition: 500ms;
        transition: 500ms;

        color: var(--big_text);

        border-bottom: 2px dashed var(--out_border);
    }

    .nav a:hover {
        -moz-transition: 500ms;
        -webkit-transition: 500ms;
        transition: 500ms;
        letter-spacing: 2px;
        text-shadow: 0px 0px 2px white, 0px 0px 3px white, 0px 0px 5px white;
    }

    .nav a:visited {
        color: var(--big_text);
    }

    .nav a.first {
        border-radius: 5px 5px 0px 0px;
    }

    .nav a.last {
        border-radius: 0px 0px 5px 5px;
        border-bottom: none;
    }

    a {
        color: var(--out_border) !important;
        text-shadow: none !important;
        background: inherit;
    }

    a:hover {
        -moz-transition: 500ms;
        -webkit-transition: 500ms;
        transition: 500ms;
        letter-spacing: 1px;

        color: var(--big_text) !important;
        text-shadow: 0px 0px 2px white, 0px 0px 3px white, 0px 0px 5px white;
        background: inherit;

    }
}

/* tab content */
* {
    .tab-content {
        /* background:red; */
        height: 100%;
        width: 100%;
    }

    .tab-content .tabboi {
        display: none;
    }

    .tab-content .tabboi.active {
        display: block;
    }

    .tab-content>.active {
        display: block;
    }
}

A img {
    text-decoration: none;
    border-bottom: 0px solid #666;
}

.b iframe {
    max-width: 100%;
    margin: 0 auto;
}


/* music player */
* {
    #musicplayer {
        margin: 20px;
        margin-left: 0;

        box-shadow: none;
        background: transparent;
        box-shadow: transparent;

        border-radius: 10px;
        border: none;

        width: 100%;
        min-width: 20px;
    }

    .songtitle {
        color: var(--big_text);
        background-color: rgba(255, 255, 255, 0.402);
        box-shadow: none;
        padding: 10px;
        margin: 25px;
        margin-top: 0px;
        border: 2px solid var(--big_text);
    }

    input[type="range"].volume_slider::-webkit-slider-runnable-track {
        background: var(--big_text);
    }
}

/* back button */
* {
    .backbutton {
        width: 100%;
        background: none !important;
        margin-left: 7px;
        color: var(--big_text) !important;

        filter:
            drop-shadow(2px 2px 5px var(--out_border)) drop-shadow(-2px -2px 5px var(--out_border));


        border-image-slice:
            97 82 73 79 fill;
        border-image-width: 50px;
        border-image-outset: -2px;
        border-image-repeat: round;
        border-image-source: url("/Shrines/img/decor/whiteLaceBorder.png");
        border-style: solid;

        font-size: 12px;
        cursor: pointer;
    }

    .backbutton:hover {
        color: var(--default_text) !important;
        text-shadow: 2px 3px 5px var(--big_text) !important;
        font-size: 14px !important;
        width: 100%;

        position: sticky;
        scale: 1.1;
        filter: brightness(1.05);

        border: initial;
        border-image-slice:
            97 82 73 79 fill;
        border-image-width: 50px;
        border-image-outset: -2px;
        border-image-repeat: round;
        border-image-source: url("/Shrines/img/decor/whiteLaceBorder.png");
        border-style: solid;

        z-index: 1000;
    }
}

#star-container {
    position: fixed;
    top: 0;
} 

/* media changes */
* {
    @media only screen and (max-width: 750px) {

        #container {
            width: 90%;
            height: auto;

            margin: 5% 0 5% 0; 
            padding: 0!important; 
            border-width:25px; 

            display:flex;

        }

        .contentContainer {
            display:flow; 
            min-width: 100px !important;
            height:fit-content;
            gap:0;
        }

        .contentContainer div {
            width:100%;
        }
 
        .backbutton{
            margin:none;
            width:80vw;
        }


        #tab-2 .b .contentContainer{
            gap:0;
        }

        #innerContainer {
            display: block !important;
        }
 
        #extra {
            display:flexbox;
            /* background:red; */
        }

        #side { 
            width: 90vw !important;  
            height: fit-content !important;
            display:block;
            /* background:red; */
        }

        .sidebox { 
            width: 85vw !important; 
        }

        #blog {
            display:flex;
            /* background:blue;  */
            margin-left:-20px;
            width: 90vw !important;
        }

        .b {
            width:inherit !important;
        }

        .bimg1,
        .bimg2 {
            width: auto;
        }

        .h {
            font-size: 20px;
        }
        .mobhide {
            display: none;
        }

        img {
            max-width: 100%;
        }

        .t {
            width: 90%;
        }

        .b h1 {
            height: auto;
        }

        .side img {
            margin: 0 auto;
            width: 90%;
            background-position: -300px -50px;
            margin-top: 10px;
            margin-bottom: 5px;
        }

        .footer {
            overflow: hidden;
            height: auto;
        }


        .t {
            width: 90%;
            font-size: 16px;
            line-height: 15px;
        }

        .date,
        .o {
            font-size: 14px;
        }

        iframe {
            max-width: 100%;
        }

        .b iframe {
            max-width: 100%;
            margin: 0 auto;
        }

        .b img {
            max-width: 100%;
            margin: 0 auto;
        }

        img {
            max-width: 100%;
        }

        .a img,
        img {
            border: none;
            text-decoration: none;
        }

    }
}
